#include "S08_TPM.h"

UINT8 gu8TPM_Status;

__interrupt VectorNumber_Vtpm1ch0 void TPM1_Channel0_ISR(void)
{
  (void)TPM1C0SC;
  TPM1C0SC_CH0F = 0;
  
  gu8TPM_Status |= (1<<TPM1_CHAN0_INTERRUPT);
}

__interrupt VectorNumber_Vtpm1ch1 void TPM1_Channel1_ISR(void)
{
  (void)TPM1C1SC;
  TPM1C1SC_CH1F = 0;
  
  gu8TPM_Status |= (1<<TPM1_CHAN1_INTERRUPT);
}

__interrupt VectorNumber_Vtpm1ovf void TPM1_OverflowISR(void)
{
  (void)TPM1SC;
  TPM1SC_TOF = 0;
  
  gu8TPM_Status |= (1<<TPM1_OVF_INTERRUPT);
}

__interrupt VectorNumber_Vtpm2ch0 void TPM2_Channel0_ISR(void)
{
  (void)TPM2C0SC;
  TPM2C0SC_CH0F = 0;
  
  gu8TPM_Status |= (1<<TPM2_CHAN0_INTERRUPT);
}

__interrupt VectorNumber_Vtpm2ch1 void TPM2_Channel1_ISR(void)
{
  (void)TPM2C1SC;
  TPM2C1SC_CH1F = 0;
  
  gu8TPM_Status |= (1<<TPM2_CHAN1_INTERRUPT);
}

__interrupt VectorNumber_Vtpm2ovf void TPM2_OverflowISR(void)
{
  (void)TPM2SC;
  TPM2SC_TOF = 0;
  
  gu8TPM_Status |= (1<<TPM2_OVF_INTERRUPT);
}